#pragma once

#include "data/config/SamplingConfig.h"

namespace inertia
{

struct INERTIA_API TemperatureConfig
	: SamplingConfig
{
	TemperatureConfig();
	TemperatureConfig(uint8_t const* in);
	TemperatureConfig(std::wstring const& argString);

#ifdef WITH_BOOST_PROGRAM_OPTIONS
	static const po::options_description GetOptionDescription();
#endif

	ConfigType GetConfigType() const override;
	static unsigned GetLength();
	const std::wstring ToString() const override;
};

}
